Package org.apache.sling.launchpad.base.shared

# Interface Launcher

All Known Implementing Classes:
  `MainDelegate`, `SlingServletDelegate`

public interface Launcher
The `Launcher` interface is implemented by the delegate classes inside the Launcher JAR and are used by the actual Main class or servlet to configure and start the framework.

## Method Summary

Modifier and Type
Method
Description
`void`
`setCommandLine(Map<String,String> args)`
The commandline provided from the standalone launch case.
`void`
`setNotifiable(Notifiable notifiable)`
The `Notifiable` to notify on framework stop or update
`void`
`setSlingHome(String slingHome)`
Sets the sling.home to be used for starting the framework.
`boolean`
`start()`
Starts the framework and returns `true` if successfull.
`void`
`stop()`
Stops the framework.

## Method Details

### setSlingHome

void setSlingHome(String slingHome)
Sets the sling.home to be used for starting the framework. This method must be called with a non-`null` argument before trying to start the framework.

Parameters:
  `slingHome` - The sling.home directory

### setNotifiable

void setNotifiable(Notifiable notifiable)
The `Notifiable` to notify on framework stop or update

Parameters:
  `notifiable` - The notifiable

### setCommandLine

void setCommandLine(Map<String,String> args)
The commandline provided from the standalone launch case.

Parameters:
  `args` - The commandline

### start

boolean start()
Starts the framework and returns `true` if successfull.

Returns:
  `true` if the framework has been started successfully

### stop

void stop()
Stops the framework. This method only returns when the framework has actually been stopped. This method may be used by the main class or servlet to initiate a shutdown of the framework.